## dascrubber 0~20160601

=== Makefile ===
DEST_DIR = ~/bin

CFLAGS = -O3 -Wall -Wextra -Wno-unused-result -fno-strict-aliasing

ALL = DASqv DAStrim

all: $(ALL)

DASqv: DASqv.c align.c align.h DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DASqv DASqv.c align.c DB.c QV.c -lm

DAStrim: DAStrim.c align.c align.h DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DAStrim DAStrim.c align.c DB.c QV.c -lm

clean:
	rm -f $(ALL)
	rm -fr *.dSYM
	rm -f scrubber.tar.gz

install:
	cp $(ALL) $(DEST_DIR)

package:
	make clean
	tar -zcf scrubber.tar.gz README Makefile *.h *.c

=== debian/changelog ===
dascrubber (0~20160601-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Afif Elghraoui <afif@debian.org>  Mon, 31 Oct 2016 09:48:37 -0700

dascrubber (0~20160601-1) unstable; urgency=medium

  * Initial release (Closes: #841396)

 -- Afif Elghraoui <afif@debian.org>  Thu, 20 Oct 2016 01:13:30 -0700

=== debian/control ===
Source: dascrubber
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Build-Depends: debhelper (>=9)
Standards-Version: 3.9.8
Homepage: https://dazzlerblog.wordpress.com/
Vcs-Git: https://anonscm.debian.org/git/debian-med/dascrubber.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/dascrubber.git

Package: dascrubber
Architecture: any
Depends:
	${shlibs:Depends},
	${misc:Depends},
Suggests:
	daligner,
	dazzdb,
Description: alignment-based scrubbing pipeline for DNA sequencing reads
 The Dazzler Scrubbing Suite produces a set of edited reads that are guaranteed
 to
  * be continuous stretches of the underlying genome (i.e. no unremoved
    adapters and not chimers)
  * have no very low quality stretches (i.e. the error rate never exceeds some
    reasonable maximum, 20% or so in the case of Pacbio data).
 Its secondary goal is to do so with the minimum removal of data and splitting
 of reads.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

include /usr/share/dpkg/default.mk

%:
	dh $@ --parallel

override_dh_auto_install:
	dh_auto_install
	mkdir -p $(CURDIR)/debian/$(DEB_SOURCE)/usr/share/man/man1
	for command in $(CURDIR)/debian/$(DEB_SOURCE)/usr/bin/*; \
	do \
		ln -s dascrubber.1 \
		$(CURDIR)/debian/$(DEB_SOURCE)/usr/share/man/man1/$$(basename $$command).1; \
	done

=== debian/watch ===
version=4

# Upstream does not make tagged releases.

## dascrubber 0~20180108

=== Makefile ===
DEST_DIR = ~/bin

CFLAGS = -O3 -Wall -Wextra -Wno-unused-result -fno-strict-aliasing

ALL = DASqv DAStrim DASpatch DASedit DASmap DASrealign REPqv REPtrim

all: $(ALL)

DASqv: DASqv.c align.c align.h DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DASqv DASqv.c align.c DB.c QV.c -lm

REPqv: REPqv.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o REPqv REPqv.c DB.c QV.c -lm

DAStrim: DAStrim.c align.c align.h DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DAStrim DAStrim.c align.c DB.c QV.c -lm

REPtrim: REPtrim.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o REPtrim REPtrim.c DB.c QV.c -lm

DASpatch: DASpatch.c align.h align.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DASpatch DASpatch.c align.c DB.c QV.c -lm

DASedit: DASedit.c align.c align.h DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DASedit DASedit.c align.c DB.c QV.c -lm

DASmap: DASmap.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DASmap DASmap.c DB.c QV.c -lm

DASrealign: DASrealign.c align.c align.h DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DASrealign DASrealign.c align.c DB.c QV.c -lm

clean:
	rm -f $(ALL)
	rm -fr *.dSYM
	rm -f scrubber.tar.gz

install:
	cp $(ALL) $(DEST_DIR)

package:
	make clean
	tar -zcf scrubber.tar.gz README.md Makefile *.h *.c

=== debian/changelog ===
dascrubber (0~20180108-1) unstable; urgency=medium

  * New upstream snapshot (git 3491b14)
  * Bump copyright years
  * Bump Standards-Version to 4.1.3

 -- Afif Elghraoui <afif@debian.org>  Sun, 04 Feb 2018 13:54:09 -0500

dascrubber (0~20171015-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * Created debian/upstream/metadata with refs to
    registries

  [ Afif Elghraoui ]
  * New upstream snapshot (git 2896d22)
  * Update name of README file
  * Update and refresh patches
  * Use default hardening
  * Bump Standards-Version to 4.1.1
  * Bump copyright years

 -- Afif Elghraoui <afif@debian.org>  Fri, 20 Oct 2017 00:06:04 -0400

dascrubber (0~20160601-2) unstable; urgency=medium

  * Team upload.
  * Enable build when linked with -Wl, --as-needed (Thanks for the patch to
    Graham Inggs <ginggs@debian.org>)
    Closes: #847943
  * Fake watch file
  * debhelper 10
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Mon, 12 Dec 2016 16:38:36 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Afif Elghraoui <afif@debian.org>
-Build-Depends: debhelper (>=9)
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>=10)
+Standards-Version: 4.1.3
 Homepage: https://dazzlerblog.wordpress.com/
 Vcs-Git: https://anonscm.debian.org/git/debian-med/dascrubber.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/dascrubber.git

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 include /usr/share/dpkg/default.mk
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
version=4

# Upstream does not make tagged releases.
opts=dversionmangle=s/.*/0.No-Release/ \
https://people.debian.org/~eriberto/ FakeWatchNoUpstreamReleaseForThisPackage-(\d\S+)\.gz

## dascrubber 1.1

=== Makefile ===
--- 
+++ 
@@ -2,9 +2,15 @@
 
 CFLAGS = -O3 -Wall -Wextra -Wno-unused-result -fno-strict-aliasing
 
-ALL = DASqv DAStrim DASpatch DASedit DASmap DASrealign REPqv REPtrim
+ALL = DAScover DASqv DAStrim DASpatch DASedit DASmap DASrealign REPcover REPqv REPtrim
 
 all: $(ALL)
+
+DAScover: DAScover.c align.c align.h DB.c DB.h QV.c QV.h
+	gcc $(CFLAGS) -o DAScover DAScover.c align.c DB.c QV.c -lm
+
+REPcover: REPcover.c DB.c DB.h QV.c QV.h
+	gcc $(CFLAGS) -o REPcover REPcover.c DB.c QV.c -lm
 
 DASqv: DASqv.c align.c align.h DB.c DB.h QV.c QV.h
 	gcc $(CFLAGS) -o DASqv DASqv.c align.c DB.c QV.c -lm

=== debian/changelog ===
dascrubber (1.1-4) unstable; urgency=medium

  * Really fix watch file

 -- Andreas Tille <tille@debian.org>  Wed, 01 Sep 2021 15:33:47 +0200

dascrubber (1.1-3) unstable; urgency=medium

  * Fix watchfile to detect new versions on github (routine-update)
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 22 Aug 2021 10:11:38 +0200

dascrubber (1.1-2) unstable; urgency=medium

  * Team upload.

  [ Afif Elghraoui ]
  * Remove myself from Uploaders

  [ Shruti Sridhar ]
  * Add autopkgtest
  * Install docs

  [ Andreas Tille ]
  * Add myself to Uploaders
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Shruti Sridhar <shruti.sridhar99@gmail.com>  Sun, 23 Aug 2020 23:44:36 +0530

dascrubber (1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Add watch file
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Remove trailing whitespace in debian/copyright
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Sun, 28 Oct 2018 08:56:42 +0100

=== debian/control ===
Source: dascrubber
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/dascrubber
Vcs-Git: https://salsa.debian.org/med-team/dascrubber.git
Homepage: https://dazzlerblog.wordpress.com/
Rules-Requires-Root: no

Package: dascrubber
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: daligner,
          dazzdb
Description: alignment-based scrubbing pipeline for DNA sequencing reads
 The Dazzler Scrubbing Suite produces a set of edited reads that are guaranteed
 to
  * be continuous stretches of the underlying genome (i.e. no unremoved
    adapters and not chimers)
  * have no very low quality stretches (i.e. the error rate never exceeds some
    reasonable maximum, 20% or so in the case of Pacbio data).
 Its secondary goal is to do so with the minimum removal of data and splitting
 of reads.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,dazzdb, daligner
Restrictions: allow-stderr

=== debian/watch ===
version=4

https://github.com/thegenemyers/DASCRUBBER/tags (?:.*?/)?[vV]?(\d[\d.]*)\.tar\.gz
